.nav {
  ul {
    display: flex;
    align-items: center;
    list-style: none;
    li a {
      display: block;
      color: color(primary-dark);
      text-decoration: none;
      cursor: pointer;
    }
  }
}

.nav.row,
.nav.stacked {
  li a {
    border-bottom: 2px solid transparent;
    &:hover,
    &:focus {
      border-color: color(primary);
    }
  }
  .active a {
    border-color: color(primary);
  }
  &.small {
    li a {
      padding: spacing(0) 0;
      font-size: font-size(0);
    }
  }
  &.regular {
    li a {
      padding: spacing(1) 0;
      font-size: font-size(1);
    }
  }
  &.large {
    li a {
      padding: spacing(1) 0;
      font-size: font-size(2);
    }
  }
  &.light {
    li a {
      color: color(white);
      &:hover,
      &:focus {
        border-color: color(white);
      }
    }
    .active a {
      border-color: color(white);
    }
  }
}

.nav.row ul {
  * + * {
    margin-left: spacing(2);
  }
}

.nav.stacked ul {
  flex-direction: column;
  align-items: stretch;
  * + * {
    margin-top: spacing(1);
  }
}

.nav.tabs {
  overflow: hidden;
  padding: 2px 2px 0;
  ul {
    padding: 0 spacing(3);
    * + * {
      margin-left: spacing(1);
    }
  }
  li a {
    padding: spacing(1) spacing(2);
    border-radius: $border-radius $border-radius 0 0;
    &:hover,
    &:focus {
      background: color(white);
      box-shadow: $box-shadow;
    }
  }
  .active a {
    background: color(white);
    box-shadow: $box-shadow;
  }
}
